- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#body.BatchCreateApplicationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#body.aspect)
- [CreateApplicationRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#CreateApplicationRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#CreateApplicationRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#try-it)

Creates `Application` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/applications:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `Applications` will be created. Format: `networks/{networkCode}` The parent field in the CreateApplicationRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#CreateApplicationRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications/batchCreate#CreateApplicationRequest`)`` Required. The `Application` objects to create. |

### Response body

Response object for `applications.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "applications": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications#Application`) } ] } ``` |

| Fields ||
|---|---|
| `applications[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications#Application`)`` The `Application` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateApplicationRequest

Request object for `applications.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "application": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications#Application`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `Application` will be created. Format: `networks/{networkCode}` |
| `application` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.applications#Application`)`` Required. The `Application` to create. |